Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content
Class RulesContentQuery

    java.lang.Object
      com.bea.p13n.content.ContentQueryBase
          com.bea.p13n.content.RulesContentQuery

    public class RulesContentQuery

extends ContentQueryBase

A utility class to construct a content query string expression from a ContentQueryNode from the rules engine.

This will no longer always fill-out an expression with user/request/session properties. If a PropertyProvider instance is passed into the constructor, the resulting expression will always contain only literal values; otherwise, the resulting expression will contain property references as needed and ExpressionHelper.realize() can be used.

See Also
  `ExpressionHelper`

Field Summary

Fields inherited from class com.bea.p13n.content.ContentQueryBase
`dateFormat, dateFormatStr, EMPTY_PROP_PROVIDER, STRING_CONTAINS, TYPE_BOOLEAN, TYPE_DATE, TYPE_DOUBLE, TYPE_LONG, TYPE_STRING`

Constructor Summary
`RulesContentQuery()`
`RulesContentQuery(PropertyProvider pp)`
`RulesContentQuery(PropertyProvider pp, boolean doOnlyEventProperties)` Constructor.

Method Summary
`String` | `createExpression(ContentQueryNode root)` Return a String representing the content expression specified in the ContentQueryNode.
`Expression` | `createExpressionTree(ContentQueryNode root)` Return the content Expression representing the content expression specified in the ContentQueryNode.

Methods inherited from class com.bea.p13n.content.ContentQueryBase
`getISO8601Date, getLogic, getOperator, getType, getValueAsType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RulesContentQuery

    public RulesContentQuery(PropertyProvider pp,
                             boolean doOnlyEventProperties)

  Constructor.

  Parameters
    `pp` - the PropertyProvider to use to provider user/request/session properties.
    `doOnlyEventProperties` - true to replace only event properties, false to replace all properties references

### RulesContentQuery

    public RulesContentQuery(PropertyProvider pp)

### RulesContentQuery

    public RulesContentQuery()

Method Detail

### createExpressionTree

    public Expression createExpressionTree(ContentQueryNode root)
                                    throws IllegalArgumentException

  Return the content Expression representing the content expression specified in the ContentQueryNode.

  Parameters
    `root` - The top of the ContentQueryNode tree.
  Returns
    a string representing the query.
  Throws
    `IllegalArgument` - if the content of the passed in XML tree is invalid
    `IllegalArgumentException`

### createExpression

    public String createExpression(ContentQueryNode root)
                            throws IllegalArgumentException

  Return a String representing the content expression specified in the ContentQueryNode.

  Parameters
    `root` - The top of the ContentQueryNode tree.
  Returns
    a string representing the query.
  Throws
    `IllegalArgument` - if the content of the passed in XML tree is invalid
    `IllegalArgumentException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.